@echo off
echo.
echo Compiling %1
echo.
echo Clearing Stop Names File...
copy  /y lib\no_names.jal lib\stop_names.jal

rem some pin options for c_iii / C_III console controllers
if (%2) == (C_III)   copy  /y lib\C_III_Pins_std.jal    lib\C_III_pins.jal
if (%2) == (c_iii)   copy  /y lib\C_III_Pins_sml.jal    lib\C_III_pins.jal

rem some default pin options for c_i / C_I console controllers
echo Copying Default C-I Pins...
copy  /y lib\C_I_Pins_new.jal                           lib\C_I_pins.jal
if (%2) == (c_ia_k)   copy  /y lib\C_I_Pins_new_all.jal  lib\C_I_pins.jal
if (%2) == (C_IA_K)   copy  /y lib\C_I_Pins_new_all.jal  lib\C_I_pins.jal

if (%3) == () goto pre_compile
rem if 3rd parm, overwrite no_names
if (%3) == (sw)      copy  /y lib\sw.jal                lib\stop_names.jal
if (%3) == (gr)      copy  /y lib\gr.jal                lib\stop_names.jal
if (%3) == (ch)      copy  /y lib\ch.jal                lib\stop_names.jal
if (%3) == (an)      copy  /y lib\ant.jal               lib\stop_names.jal
if (%3) == (ant)     copy  /y lib\ant.jal               lib\stop_names.jal
if (%3) == (cha)     copy  /y lib\cha.jal               lib\stop_names.jal
if (%3) == (main)    copy  /y lib\main.jal              lib\stop_names.jal
if (%3) == (solo)    copy  /y lib\solo.jal              lib\stop_names.jal
if (%3) == (pod_1)   copy  /y lib\pod_1.jal             lib\stop_names.jal
if (%3) == (pod_2)   copy  /y lib\pod_2.jal             lib\stop_names.jal
if (%3) == (pod_3)   copy  /y lib\pod_3.jal             lib\stop_names.jal
if (%3) == (pod_4)   copy  /y lib\pod_4.jal             lib\stop_names.jal
if (%3) == (pod_5)   copy  /y lib\pod_5.jal             lib\stop_names.jal
if (%3) == (pod_6)   copy  /y lib\pod_6.jal             lib\stop_names.jal
if (%3) == (pod_7)   copy  /y lib\pod_7.jal             lib\stop_names.jal
if (%3) == (pod_8)   copy  /y lib\pod_8.jal             lib\stop_names.jal
if (%3) == (pod_9)   copy  /y lib\pod_9.jal             lib\stop_names.jal
if (%3) == (pod_10)  copy  /y lib\pod_10.jal            lib\stop_names.jal
if (%3) == (pod_11)  copy  /y lib\pod_11.jal            lib\stop_names.jal
if (%3) == (pod_12)  copy  /y lib\pod_12.jal            lib\stop_names.jal
if (%3) == (pod_13)  copy  /y lib\pod_13.jal            lib\stop_names.jal
if (%3) == (pod_14)  copy  /y lib\pod_14.jal            lib\stop_names.jal
if (%3) == (pod_15)  copy  /y lib\pod_15.jal            lib\stop_names.jal
if (%3) == (pod_16)  copy  /y lib\pod_16.jal            lib\stop_names.jal
if (%3) == (pod_17)  copy  /y lib\pod_17.jal            lib\stop_names.jal
if (%3) == (pod_18)  copy  /y lib\pod_18.jal            lib\stop_names.jal
if (%3) == (pod_19)  copy  /y lib\pod_19.jal            lib\stop_names.jal
if (%3) == (pod_20)  copy  /y lib\pod_20.jal            lib\stop_names.jal

rem some pin options for C-I console controllers
rem copy  /y lib\C_I_Pins_new.jal                       lib\C_I_pins.jal
if (%3) == (lcd)     copy  /y lib\C_I_Pins_lcd.jal      lib\C_I_pins.jal
if (%3) == (vfd)     copy  /y lib\C_I_Pins_lcd.jal      lib\C_I_pins.jal
if (%3) == (std)     copy  /y lib\C_I_Pins_std.jal      lib\C_I_pins.jal
if (%3) == (all)     copy  /y lib\C_I_Pins_new_all.jal  lib\C_I_pins.jal
if (%3) == (new)     copy  /y lib\C_I_Pins_new.jal      lib\C_I_pins.jal
if (%3) == (lrg)     copy  /y lib\C_I_Pins_new_lrg.jal  lib\C_I_pins.jal
if (%3) == (lcd_ped) copy  /y lib\C_I_Pins_lcd_ped.jal  lib\C_I_pins.jal
if (%3) == (vfd_ped) copy  /y lib\C_I_Pins_lcd_ped.jal  lib\C_I_pins.jal
if (%3) == (rh_lds)  copy  /y lib\C_I_Pins_rh_lds.jal   lib\C_I_pins.jal
if (%3) == (3sc)     copy  /y lib\C_I_Pins_new_3sc.jal  lib\C_I_pins.jal

rem for C_III controllers
if (%3) == (es)      copy  /y lib\C_III_Pins_es.jal     lib\C_III_pins.jal
if (%3) == (ES)      copy  /y lib\C_III_Pins_es.jal     lib\C_III_pins.jal
if (%3) == (db)      copy  /y lib\C_III_Pins_db.jal     lib\C_III_pins.jal
if (%3) == (DB)      copy  /y lib\C_III_Pins_db.jal     lib\C_III_pins.jal
if (%3) == (dz)      copy  /y lib\C_III_Pins_dz.jal     lib\C_III_pins.jal
if (%3) == (DZ)      copy  /y lib\C_III_Pins_dz.jal     lib\C_III_pins.jal

rem for c_iii controllers
if (%3) == (op)      copy  /y lib\C_III_Pins_op.jal     lib\C_III_pins.jal
if (%3) == (rlk)     copy  /y lib\C_III_Pins_rlk.jal    lib\C_III_pins.jal
if (%3) == (mmcc)    copy  /y lib\C_III_Pins_mmcc.jal   lib\C_III_pins.jal

:pre_compile
if (%2) == (ant)     goto multchamber
if (%2) == (cha)     goto multchamber
if (%2) == (sw)      goto multchamber
if (%2) == (gr)      goto multchamber

if (%2) == (ch)      goto multchamber
if (%2) == (main)    goto multchamber
if (%2) == (solo)    goto multchamber
if (%2) == ()        goto c_ii_file

if (%2) == (c_i)     goto c_i_file
if (%2) == (C_I)     goto c_i_file
if (%2) == (c_i_k)   goto c_i_k_file
if (%2) == (C_I_K)   goto c_i_k_file

if (%2) == (c_iv_a)  goto C_IV_a_File
if (%2) == (c_iv)    goto c_iv_file

if (%2) == (c_iv_jw)  goto C_IV_jw_file
if (%2) == (c_iv_hyb) goto C_IV_hyb_file

if (%2) == (delta_a) goto Delta_a_File
if (%2) == (delta_jw) goto Delta_jw_File
if (%2) == (delta)   goto Delta_file

if (%2) == (c_ii)    goto c_ii_file
if (%2) == (C_II)    goto c_ii_file
if (%2) == (c_ii_k)  goto c_ii_k_file
if (%2) == (C_II_K)  goto c_ii_k_file

if (%2) == (c_iia)   goto c_iia_file
if (%2) == (C_IIA)   goto c_iia_file

if (%2) == (c_iii)   goto C_III_file_new
if (%2) == (C_III)   goto C_III_file_enh

if (%2) == (c_ia)    goto C_Ia_file
if (%2) == (c_x)     goto c_x_file
if (%2) == (c_ia_k)  goto C_Ia_k_file

if (%2) == (c_ia_kb)  goto C_Ia_kb_file
if (%2) == (c_ia_kt)  goto C_Ia_kt_file
if (%2) == (c_ia_kbm) goto C_Ia_kbm_file

if (%2) == (pod)     goto podfile
if (%2) == (c_pod)   goto podfile
if (%2) == (POD)     goto podfile
if (%2) == (C_POD)   goto podfile

if (%2) == (POD_K)   goto podfile_k
if (%2) == (pod_k)   goto podfile_k

if (%2) == (pod_ks)   goto podfile_ks

if (%2) == (c_iii_rm) goto rm_c_iii
if (%2) == (C_III_RM) goto rm_c_iii

if (%2) == (pod_sc)   goto pod_sc
if (%2) == (sc_pod)   goto pod_sc

rem new items to support 252 versions of controllers
if (%2) == (c_ii_252)   goto c_ii_file_252
if (%2) == (pod_252)    goto podfile_252
if (%2) == (pod_sc_252) goto pod_sc_252
if (%2) == (sc_pod_252) goto pod_sc_252


rem these are for testing, not generally released yet
if (%2) == (c_i_min)  goto C_I_min_file
if (%2) == (c_ia_rm)  goto C_Ia_rm_file

:twofile
echo C_II Ctrl %1 %2
rem this is for regular C-II with separate names file
copy  /y %1.jal lib\stop_names.jal
copy  /y %2.jal lib\chamber_spec.jal

cd lib
jal -rhA C_II_chamber_ctrl

cd ..\
copy /Y lib\C_II_chamber_ctrl.hex %2.hex

goto endfile

:c_ii_file
if (%3) == (252) goto c_ii_file_252
echo C_II Ctrl %1 %3
rem this is for regular C-II with embedded names file
rem also for multi-chamber useage
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_II_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\C_II_chamber_ctrl.hex %1.hex
if not (%3) == () copy /Y lib\C_II_chamber_ctrl.hex %1_%3.hex
goto endfile

:c_ii_file_252
echo C_II_252 Ctrl %1 %3
rem this is for regular C-II_252 with embedded names file
rem also for multi-chamber useage
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_II_chamber_ctrl_252

cd ..\
if     (%3) == () copy /Y lib\C_II_chamber_ctrl_252.hex %1_252.hex
if not (%3) == () copy /Y lib\C_II_chamber_ctrl_252.hex %1_%3_252.hex
goto endfile


:c_ii_k_file
echo C_II_k Ctrl %1 %3
rem this is for enhanced C-II with embedded names file
rem also for multi-chamber useage
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_II_k_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\C_II_k_chamber_ctrl.hex %1_k.hex
if not (%3) == () copy /Y lib\C_II_k_chamber_ctrl.hex %1_%3_k.hex
goto endfile

:c_iia_file
echo C_II Console Ctrl %1
rem this is for regular C-II as console
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_II_Console_ctrl

cd ..\
copy /Y lib\C_II_Console_ctrl.hex %1.hex

goto endfile

:podfile
if (%3) == (252) goto podfile_252
rem this is for Opus-Two Pod Controllers
echo Pod Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc pod_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\pod_chamber_ctrl.hex %1.hex
if not (%3) == () copy /Y lib\pod_chamber_ctrl.hex %1_%3.hex

goto endfile

:podfile_252
rem this is for Opus-Two Pod 252 Controllers
echo Pod Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc pod_chamber_ctrl_252

cd ..\
if     (%3) == () copy /Y lib\pod_chamber_ctrl_252.hex %1_252.hex
if not (%3) == () copy /Y lib\pod_chamber_ctrl_252.hex %1_%3_252.hex

goto endfile


:podfile_k
rem this is for enhanced Opus-Two Pod Controllers
echo Pod_k Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc pod_chamber_k_ctrl

cd ..\
if     (%3) == () copy /Y lib\pod_chamber_k_ctrl.hex %1_pk.hex
if not (%3) == () copy /Y lib\pod_chamber_k_ctrl.hex %1_%3_pk.hex

goto endfile

:podfile_ks
rem this is for enhanced Opus-Two Pod Controllers - Macy
echo Pod_ks Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc pod_chamber_ks_ctrl

cd ..\
if     (%3) == () copy /Y lib\pod_chamber_ks_ctrl.hex %1_pk.hex
if not (%3) == () copy /Y lib\pod_chamber_ks_ctrl.hex %1_%3_pks.hex

goto endfile


:pod_sc
rem this is for Opus-Two Pod SC Sub Controllers
echo Pod Sub_Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc POD_SC_Ctrl

cd ..\
if     (%3) == () copy /Y lib\POD_SC_Ctrl.hex %1.hex
if not (%3) == () copy /Y lib\POD_SC_Ctrl.hex %1_%3.hex

goto endfile

:pod_sc_252
rem this is for Opus-Two Pod SC Sub Controllers
echo Pod Sub_Ctrl_252 %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc POD_SC_Ctrl_252

cd ..\
if     (%3) == () copy /Y lib\POD_SC_Ctrl_252.hex %1_252.hex
if not (%3) == () copy /Y lib\POD_SC_Ctrl_252.hex %1_%3_252.hex

goto endfile


:C_I_File
rem this is for Opus-Two C_I Chamber Controllers
echo C_I Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_I_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\C_I_chamber_ctrl.hex %1.hex
if not (%3) == () copy /Y lib\C_I_chamber_ctrl.hex %1_%3.hex

goto endfile

:C_I_k_File
rem this is for Opus-Two C_I_k Chamber Controllers
echo C_I_k Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_I_k_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\C_I_k_chamber_ctrl.hex %1_k.hex
if not (%3) == () copy /Y lib\C_I_k_chamber_ctrl.hex %1_k_%3.hex

goto endfile

:C_IV_hyb_File
rem this is for Opus-Two C_IV Hybrid Chamber Controllers ( jal_next )
echo C_IV_hyb Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal_next -rasc C_IV_chamber_ctrl_hyb

cd ..\
if     (%3) == () copy /Y lib\C_IV_chamber_ctrl_hyb.hex %1_k.hex
if not (%3) == () copy /Y lib\C_IV_chamber_ctrl_hyb.hex %1_k_%3.hex

goto endfile

:C_IV_jw_File
rem this is for Opus-Two C_IV JW Chamber Controllers
echo C_IV_jw Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc C_IV_chamber_ctrl_jw

cd ..\
if     (%3) == () copy /Y lib\C_IV_chamber_ctrl_jw.hex %1_k.hex
if not (%3) == () copy /Y lib\C_IV_chamber_ctrl_jw.hex %1_k_%3.hex

goto endfile

:C_IV_File
rem this is for Opus-Two C_IV Chamber Controllers
echo C_IV Chamber Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc Opus_C_IV_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\Opus_C_IV_chamber_ctrl.hex %1_k_iv.hex
if not (%3) == () copy /Y lib\Opus_C_IV_chamber_ctrl.hex %1_k_iv%3.hex

goto endfile


:C_IV_a_File
rem this is for Opus-Two C_IV Console Controller
if (%3) == () echo Opus-Two C-IV Console Controller Building With No Pins File
if not (%3) == () echo Opus-Two C-IV Console Controller Building with %3 pins file
copy  /y %1.jal lib\console_spec.jal
if (%errorlevel%) == (0) echo Console Config Copied Successfully
if (%errorlevel%) == (1) echo Console Config Not Found
echo.
cd lib
jal -rasc Opus_C_IV_Console

cd ..\
copy /Y lib\Opus_C_IV_Console.hex %1_k_iv.hex

goto endfile

:Delta_File
rem this is for Opus-Two Delta Chamber Controllers
echo C_IV Chamber Ctrl %1 %3
copy  /y %1.jal lib\chamber_spec.jal

cd lib
jal -rasc Opus_Delta_chamber_ctrl

cd ..\
if     (%3) == () copy /Y lib\Opus_Delta_chamber_ctrl.hex %1_k.hex
if not (%3) == () copy /Y lib\Opus_Delta_chamber_ctrl.hex %1_k_%3.hex

goto endfile

:Delta_a_File
rem this is for Opus-Two Delta Console Controllers { AC }
echo Delta_a Console Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc Opus_Delta_console

cd ..\
copy /Y lib\Opus_Delta_console.hex %1_k.hex

goto endfile

:Delta_jw_File
rem this is for Opus-Two Delta Console Controllers { JW }
echo Delta_JW Console Ctrl %1  %3
copy  /y %1.jal lib\console_spec_jw.jal

cd lib
jal -rasc Opus_Delta_console_jw

cd ..\
copy /Y lib\Opus_Delta_console_jw.hex %1_k.hex

goto endfile

:c_x_File
rem this is for Opus-Two C_I Controllers Private Menu System
echo c_x Ctrl %1 %3
copy  /y %1.jal lib\console_spec.jal

:c_x_compile
cd lib
jal -rasc opus_cfg_2620_console_2

cd ..\
copy /Y lib\opus_cfg_2620_console_2.hex %1.hex

goto endfile

:C_III_file_enh
echo C_III_3_1 Ctrl %1 %2 %3

copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_6620_console_3_1

cd ..\
copy /Y lib\opus_cfg_6620_console_3_1.hex %1.hex
goto endfile

:C_III_file_new
echo c_iii_3 Ctrl %1 %2 %3

copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_6620_console_3

cd ..\
copy /Y lib\opus_cfg_6620_console_3.hex %1.hex
goto endfile


:rm_c_iii
echo C_III_3_Ctrl_rm %1
copy  /y lib\C_III_Pins_std_rm.jal lib\C_III_pins.jal
if (%3) == (rmsk) copy  /y lib\C_III_Pins_rmsk.jal  lib\C_III_pins.jal
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_6620_console_3_rm

cd ..\
copy /Y lib\opus_cfg_6620_console_3_rm.hex %1.hex
goto endfile


:multchamber
echo C_II Ctrl %1 %2
rem this is for regular C-II with embedded names file, last parm indicates chamber
copy  /y %1.jal lib\chamber_spec.jal
erase lib\stop_names.jal
copy /y %2.jal lib\stop_names.jal

cd lib
jal -rasc C_II_chamber_ctrl

cd ..\
copy /Y lib\C_II_chamber_ctrl.hex %1_%2.hex

goto endfile

:C_Ia_File
rem this is for Opus-Two C_Ia Controllers
echo C_Ia Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_2620_console_1

cd ..\
copy /Y lib\opus_cfg_2620_console_1.hex %1.hex

goto endfile

:C_Ia_k_File
rem this is for Opus-Two C_Ia_k Controllers
echo C_Ia_k Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_26k22_console_1

cd ..\
copy /Y lib\opus_cfg_26k22_console_1.hex %1_k.hex

goto endfile

:C_Ia_kb_File
rem this is for Opus-Two C_Ia_k Controllers { large }
echo C_Ia_kb Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_26k22_console_2
rem jal_other -rasc opus_cfg_26k22_console_2
rem jal_test -rasc opus_cfg_26k22_console_2

cd ..\
copy /Y lib\opus_cfg_26k22_console_2.hex %1_kb.hex

goto endfile

:C_Ia_kbm_File
rem this is for Opus-Two C_Ia_k Controllers { large & modified }
echo C_Ia_kbm Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_26k22_console_2m
rem jal_other -rasc opus_cfg_26k22_console_2m
rem jal_test -rasc opus_cfg_26k22_console_2m

cd ..\
copy /Y lib\opus_cfg_26k22_console_2m.hex %1_kbm.hex

goto endfile

:C_Ia_kt_File
rem this is for Opus-Two C_Ia_k Controllers { tune kybd }
echo C_Ia_kt Ctrl %1  %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_26k22_console_3

cd ..\
copy /Y lib\opus_cfg_26k22_console_3.hex %1_kt.hex

goto endfile

rem modules in development
:C_Ia_rm_file
rem this is for Opus-Two C_Ia Controllers
echo C_Ia_rm Ctrl %1 %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc opus_cfg_2620_console_1_rm

cd ..\
copy /Y lib\opus_cfg_2620_console_1_rm.hex %1.hex

goto endfile

:C_I_min_File
rem this is for Opus-Two C_I_min Controllers { w LCD ? }
echo C_I_min Ctrl %1 %3
copy  /y %1.jal lib\console_spec.jal

cd lib
jal -rasc C_I_min_ctrl

cd ..\
copy /Y lib\C_I_min_ctrl.hex %1.hex

goto endfile

:endfile
rem

